Subject: bug#31446: 26.1; sql-interactive-mode buffer naming is broken

From: Eli Zaretskii <[email-masked]>
Date: Mon, 21 May 2018 17:55:40 +0300

> From: Filipp Gunbin <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 21 May 2018 02:53:08 +0300
> 
> That looks reasonable, but, as I wrote earlier, why implement
> name-choosing logic here, if it's in `sql-comint' already.  Even if some
> of such logic was here before the fix, it doesn't necessarily mean that
> was right.

Maybe I'm missing something, but it looks like sql-comint and
sql-product-interactive belong to 2 different families of entry points
in the package.  Some call sql-product-interactive, while the others
call sql-comint.  Isn't that so?